exports.up = (pgm) => {
    pgm.sql(`
        CREATE VIEW wikidot_random_page AS
        SELECT name
        FROM wikidot_pages
        WHERE wiki_name = 'scp-ru' AND
              ARRAY [
              'безопасный',
              'евклид',
              'кетер',
              'таумиэль',
              'нейтрализованный',
              'не_назначен',
              'ru',
              'шуточный',
              'архив',
              'рассказ'
              ] :: VARCHAR []
              && wikidot_pages.tags :: VARCHAR []
        ORDER BY random()
        LIMIT 1;
    `);
};

exports.down = (pgm) => {
    pgm.sql(`
        DROP VIEW wikidot_random_page;
    `);
};
