exports.up = (pgm) => {
    pgm.sql(`
        CREATE TABLE public.wikidot_pages_lists
        (
          wiki_name VARCHAR(30) PRIMARY KEY NOT NULL,
          data      JSONB
        );
        CREATE UNIQUE INDEX wikidot_pages_lists_wiki_name_uindex
          ON public.wikidot_pages_lists (wiki_name)
    `);
};

exports.down = (pgm) => {
    pgm.sql(`
        DROP TABLE wikidot_pages_lists;
    `);
};
